boost::hana::detail::any_of< Predicate, T > Struct Template Reference
Details

## Description

### template<template< typename ... > class Predicate, typename ... T>
struct boost::hana::detail::any_of< Predicate, T >

Returns whether the `Predicate` is satisfied by any of the `T...`.

This metafunction will short-circuit the evaluation at the first type satisfying the predicate, if such a type exists.

Note
  The implementation technique used here was originally shown to me by Eric Fiselier. All credits where due.

Inherits decltypeany_of_impl< Predicate, T... >int.